﻿@{
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section Scripts{
    <script src="~/controller/category/category.js"></script>
    <script>
        var category = new categoryController();
        category.initialize();
    </script>

    <script type="text/javascript" language="javascript">

        function ParseText(objsent) {
            //ParseUrl(objsent, document.getElementByid('txtSeoUrl'));
            $('#txtSeoTitle').val(objsent.value);
            $('#txtSeoKeyword').val(objsent.value);
        }
        function ParseDesc(objsent) {
            $('#txtSeoDescription').val(objsent.value);
        }
    </script>
}
    <style type="text/css">
        input[type="radio"] {
            margin: 4px 4px 4px 4px;
        }

        .btn-file {
            position: relative;
            overflow: hidden;
        }

            .btn-file input[type=file] {
                position: absolute;
                top: 0;
                right: 0;
                min-width: 100%;
                min-height: 100%;
                font-size: 100px;
                text-align: right;
                filter: alpha(opacity=0);
                opacity: 0;
                outline: none;
                background: white;
                cursor: inherit;
                display: block;
            }

    </style>

    <div class="row page-header">
        <div class="col-sm-5">
            <a id="lbtSave" onclick="saveEntiry(0)" class="btn btn-success btn-sm">
                <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>&nbsp;Lưu
            </a>
            <a id="lbtSaveNew" onclick="saveEntiry(1)" class="btn btn-default btn-sm">
                <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>&nbsp;Lưu &
                Thêm mới
            </a>
            <a id="LbsaveClose" onclick="saveEntiry(2)" class="btn btn-default btn-sm">
                <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>&nbsp;Lưu & Đóng
            </a>
            <a href="/admin/category/categories" class="btn btn-default btn-sm">
                <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>&nbsp;Đóng
            </a>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 form-horizontal">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        Thông tin chuyên mục
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group" id="trCat">
                        <label class="col-sm-2 control-label">
                            Cấp cha
                        </label>
                        <div class="col-sm-10">
                            <select id="ddlCategory" class="form-control">
                            </select>
                        </div>
                    </div>
                    <div class="form-group" style="display:none">
                        <label class="col-sm-2 control-label">
                            Mã
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="txtCode" id="txtCode" class="form-control" />

                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Chuyên mục
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="txtName" id="txtName" class="form-control"
                               onkeyup="ParseText(this);" onblur="ParseText(this);" />
                            <input type="hidden" name="hidId" id="hidId" class="form-control" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Mô tả
                        </label>
                        <div class="col-sm-10">
                            <textarea id="txtDesc" class="form-control" onkeyup="ParseDesc(this);"
                                  onblur="ParseDesc(this);"></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Liên kết
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="txtUrl" id="txtUrl" class="form-control" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title" id="H2">
                        Thông tin hình ảnh
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label for="txtImage" class="control-label no-padding-right">Ảnh đại diện</label>
                        <div>
                            <div class="input-group">
                                <input type="text" name="txtImage" class="form-control" id="txtImage" disabled="disabled" />
                                <input type="file" id="fileInputImage" style="display:none" />
                                <span class="input-group-btn">
                                    <input type="button" id="btnSelectImg" class="btn btn-default" value="Browser" />
                                </span>
                            </div><!-- /input-group -->
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title" id="H3">
                        Thứ tự
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Thứ tự
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="txtOrder" id="txtOrder" maxlength="4" value="1" class="form-control" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Thứ tự trang chủ
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="txtHomeOrder" id="txtHomeOrder" maxlength="4" value="1" class="form-control" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title" id="H3">
                        Soạn tin
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label for="txtContent" class="control-label no-padding-right">Nội dung </label>
                        <div>
                            <textarea id="txtContent" rows="6" class="form-control"></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4" id="accordion" role="tablist" aria-multiselectable="true">
            <div class="panel panel-primary">
                <div class="panel-heading" role="tab" id="headingOne">
                    <h3 class="panel-title" id="panel-title">
                        <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true"
                       aria-controls="collapseOne">
                            Thông tin hiển thị <span class="glyphicon glyphicon-download navbar-right"
                                                 aria-hidden="true" style="margin: 0"></span>
                        </a>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">

                        <div class="form-group">
                            <label>
                                Hiển thị menu chính
                            </label>
                            <div>
                                <label class="form-check-label" for="radMenuMaijor1">Có</label>
                                <input class="form-check-input" type="radio" name="radMenuMaijor" id="radMenuMaijor1" value="1">
                                <label class="form-check-label" for="radMenuMaijor0">Không</label>
                                <input class="form-check-input" type="radio" name="radMenuMaijor" id="radMenuMaijor0" value="0">
                            </div>
                        </div>

                        <div class="form-group">
                            <label>
                                Hiển thị
                            </label>
                            <div>
                                <label class="form-check-label" for="ckStatus1">Có</label>
                                <input class="form-check-input" type="radio" name="radStatus" id="ckStatus1" value="1" checked="checked">
                                <label class="form-check-label" for="ckStatus0">Không</label>
                                <input class="form-check-input" type="radio" name="radStatus" id="ckStatus0" value="0">
                            </div>
                        </div>
                        <div class="form-group">
                            <label>
                                Hiển thị trang chủ
                            </label>
                            <div>
                                <label class="form-check-label" for="radHienThiTrangChu1">Có</label>
                                <input class="form-check-input" checked="checked" type="radio" name="radHienThiTrangChu" id="radHienThiTrangChu1" value="1">
                                <label class="form-check-label" for="radHienThiTrangChu0">Không</label>
                                <input class="form-check-input" type="radio" name="radHienThiTrangChu" id="radHienThiTrangChu0" value="0">
                            </div>

                        </div>

                        <div class="form-group">
                            <label>
                                Kiểu hiển thị
                            </label>
                            <div>
                                <label class="form-check-label" for="radType2">Tin tức</label>
                                <input class="form-check-input" type="radio" name="radType" id="radType2" value="2">
                            </div>
                            <div>
                                <label class="form-check-label" for="radType1">Giới thiệu</label>
                                <input class="form-check-input"  type="radio" name="radType" id="radType1" value="1">
                            </div>
                            <div>
                                <label class="form-check-label" for="radType0">Sứ mệnh & Tầm nhìn</label>
                                <input class="form-check-input"  type="radio" name="radType" id="radType0" value="0">
                            </div>
                            <div>
                                <label class="form-check-label" for="radType3">Dự án tiêu biểu</label>
                                <input class="form-check-input"  type="radio" name="radType" id="radType3" value="3">
                            </div>
                            <div>
                                <label class="form-check-label" for="radType4">Máy móc thiết bị</label>
                                <input class="form-check-input"  type="radio" name="radType" id="radType4" value="4">
                            </div>
                            <div>
                                <label class="form-check-label" for="radType5">Cam kết</label>
                                <input class="form-check-input" type="radio" name="radType" id="radType5" value="5">
                            </div>
                            <div>
                                <label class="form-check-label" for="radType6">Cơ sở pháp lý</label>
                                <input class="form-check-input" type="radio" name="radType" id="radType6" value="6">
                            </div>

                        </div>

                        <div class="form-group">
                            <label>
                                Hiển thị tức thời
                            </label>
                            <div>
                                <label class="form-check-label" for="radShowItem1">Có</label>
                                <input class="form-check-input" checked="checked" type="radio" name="radShowItem" id="radShowItem1" value="1">
                                <label class="form-check-label" for="radShowItem0">Không</label>
                                <input class="form-check-input" type="radio" name="radShowItem" id="radShowItem0" value="0">
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-primary">
                <div class="panel-heading" role="tab" id="headingTwo">
                    <h4 class="panel-title">
                        <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo"
                       aria-expanded="false" aria-controls="collapseTwo">
                            SEO PARAMETER <span class="glyphicon glyphicon-download navbar-right"
                                            aria-hidden="true" style="margin: 0"></span>
                        </a>
                    </h4>
                </div>
                <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
                    <div class="panel-body">
                        <div class="form-group">
                            <label>
                                Seo title
                            </label>
                            <input type="text" name="txtSeoTitle" id="txtSeoTitle" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label>
                                Seo url
                            </label>
                            <input type="text" name="txtSeoUrl" id="txtSeoUrl" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label>
                                Seo Keyword
                            </label>
                            <textarea id="txtSeoKeyword" class="form-control"></textarea>
                        </div>
                        <div class="form-group">
                            <label>
                                Seo Description
                            </label>
                            <textarea id="txtSeoDescription" class="form-control"></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
